{{ $root := get . "root" }}
  cloudinit  = libvirt_cloudinit_disk.disk[each.value].id
  memory     = "{{ $root.ObjectExpand (dig "libvirt/memory" ($root.Param "libvirt/memory") .) }}"

  name       = each.value
  qemu_agent = true
  vcpu       = "{{ $root.ObjectExpand (dig "libvirt/vcpu" ($root.Param "libvirt/vcpu") .) }}"

  disk {
    volume_id = libvirt_volume.volume[each.value].id
  }

  network_interface {
    network_name   =  "{{ $root.ObjectExpand (dig "libvirt/network" ($root.Param "libvirt/network") .) }}"
  }
